This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 865666 - host boot fail and when system boots with kernel parameter intel_iommu=on
host boot fail and when system boots with kernel parameter intel_iommu=on
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
x86_64 Unspecified
high Severity high
: rc
: ---
Assigned To: Dave Airlie
Desktop QE
: OtherQA, Regression
: 864789 865665 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 01:08 EDT by FuXiangChun
Modified: 2013-02-21 01:50 EST (History)
15 users (show)

See Also:
Fixed In Version: kernel-2.6.32-335.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 01:50:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
host serial log (225.46 KB, text/plain)
2012-10-12 01:10 EDT, FuXiangChun
no flags Details
host lspci dmesg dmidecode log (121.66 KB, text/x-log)
2012-10-16 22:42 EDT, FuXiangChun
no flags Details

  None (edit)
Description FuXiangChun 2012-10-12 01:08:11 EDT
Description of problem:

As subject. and cann't get useful infomation from monitor. I attached host serial console log.

Hit this issue with kernel-2.6.32-328.el6、kernel-2.6.32-320.el6 and kernel-2.6.32-325.el6. 
For kernel-2.6.32-279.el6(GA kernel), It works well and haven't hit this issue. 
Since kvm QE have tested device assignment and don't hit this issue on rhel6.3 GA
so add 'regression' keywords.
Currently, kvm QE want to test 'device assignment' with the latest kernel, because this bug we cann't continue. so add 'blocker' flags.

Version-Release number of selected component (if applicable):
host kernel:
kernel-2.6.32-328.el6
kernel-2.6.32-320.el6
kernel-2.6.32-325.el6. 

How reproducible:
100%

Steps to Reproduce:
1.boot system with  kernel parameter intel_iommu=on
2.
3.
  
Actual results:
boot fail, and monitor cann't get useful infomation.

Expected results:
boot successfully.

Additional info:
Comment 1 FuXiangChun 2012-10-12 01:10:42 EDT
Created attachment 625799 [details]
host serial log
Comment 3 FuXiangChun 2012-10-12 01:16:36 EDT
This bug and bug 861361 are different.
Comment 5 Don Dutile 2012-10-16 13:54:30 EDT
(In reply to comment #3)
> This bug and bug 861361 are different.

They both have the same set of DMAR faults for the same 02:00.0/i915 device.
How are they different?  Please be very specific how you think they are different.
Comment 8 FuXiangChun 2012-10-16 22:42:27 EDT
Created attachment 628494 [details]
host lspci dmesg dmidecode log
Comment 9 FuXiangChun 2012-10-16 22:49:53 EDT
(In reply to comment #5)
> (In reply to comment #3)
> > This bug and bug 861361 are different.
> 
> They both have the same set of DMAR faults for the same 02:00.0/i915 device.
> How are they different?  Please be very specific how you think they are
> different.

I think main difference that bug 861361 hit kernel panic with kernel 2.6.32-279.e16.x86_64.  This kernel version works well in our testing result.
Comment 10 Dave Airlie 2012-10-17 00:02:08 EDT
okay found the problem in the backport of the kernel patches, a config option changed name upstream DMAR->INTEL_IOMMU and I didn't flag it during the rebase.

Patch on its way to rhkernel-list.
Comment 11 RHEL Product and Program Management 2012-10-17 00:10:34 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 14 Don Dutile 2012-10-17 10:16:03 EDT
(In reply to comment #3)
> This bug and bug 861361 are different.

My apologies, I thought the above statement was referring to 865665.
So, it appears that 865665 is a dupe of this bug.  if so, please close as duplicate.
Comment 15 Dave Airlie 2012-10-17 16:44:53 EDT
*** Bug 864789 has been marked as a duplicate of this bug. ***
Comment 16 juzhang 2012-10-17 22:26:16 EDT
*** Bug 865665 has been marked as a duplicate of this bug. ***
Comment 17 Jarod Wilson 2012-10-19 16:44:21 EDT
Patch(es) available on kernel-2.6.32-335.el6
Comment 20 FuXiangChun 2012-10-21 22:06:46 EDT
verify this issue with kernel 2.6.32-335.el6.x86_64

1. boot host with intel_iommu=on 
2. boot guest with PF 

result: 
 host and guest work well. and not found any error message.



base on testing result above. I think this bug is fixed.
Comment 23 errata-xmlrpc 2013-02-21 01:50:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html

Note You need to log in before you can comment on or make changes to this bug.